NNG_SOCKET_RAW(3)

NAME
nng_socket_raw - return whether socket is cooked or raw

SYNOPSIS

    #include <nng/nng.h>

    int nng_socket_raw(nng_socket s, bool *raw);

DESCRIPTION

The nng_socket_raw() function stores true in raw if the socket is in raw mode, otherwise it stores false.

    Tip

    This function should be used in place of the NNG_OPT_RAW option in new code.

RETURN VALUES

This function returns zero on success, or an error if the socket is invalid.

ERRORS

NNG_ECLOSED
    Parameter s does not refer to an open socket.

SEE ALSO

nng_socket(5), nng(7)